General discussion on installation and configuration of SOGo

Text archives Help


Re: [SOGo] Outlook question . . .


Chronological Thread 
  • From: Steve Ankeny < >
  • To:
  • Subject: Re: [SOGo] Outlook question . . .
  • Date: Mon, 28 Sep 2015 09:39:03 -0400

On 09/28/2015 07:40 AM, Martin Simovic wrote:
Hi,

On 25 Sep 2015, at 18:46, Steve Ankeny < > wrote:

On 09/25/2015 12:16 PM, Martin Simovic wrote:
Hi

On 25 Sep 2015, at 16:43, Steve Ankeny < > wrote:

I am using MariaDB 10.0.21, Ubuntu Trusty 14.04, Dovecot & Postfix, OpenChange/OCSManager 2.4 What can I do to troubleshoot or resolve this problem?  OpenChange/OCSManager installed after the recent upgrade but when they're initiated by DCERPC calls, they shutdown my Samba AD DC server.

Two questions:

1. What version of Samba do you use?
2. Have you EVER had working Openchange setup?

Best Regards
Martin.

1 --

adam@sogo:~$ sudo apt-cache policy samba
samba:
  Installed: 2:4.1.18+dfsg-3~inverse1
  Candidate: 2:4.1.18+dfsg-3~inverse1
  Version table:
 *** 2:4.1.18+dfsg-3~inverse1 0
        600 http://inverse.ca/ubuntu/ trusty/trusty amd64 Packages
        100 /var/lib/dpkg/status
     2:4.1.6+dfsg-1ubuntu2.14.04.9 0
        500 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main amd64 Packages
     2:4.1.6+dfsg-1ubuntu2.14.04.7 0
        500 http://security.ubuntu.com/ubuntu/ trusty-security/main amd64 Packages
     2:4.1.6+dfsg-1ubuntu2 0
        500 http://us.archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
adam@sogo:~$

2 --

I have NEVER had a working OpenChange setup.

As I said previously, it ran fine all day yesterday until someone attempted to use Outlook.  And, what I mean by that is, "All the appropriate servers and services ran together until I attempted to setup Outlook."



1.This Samba version is not very stable when used together with openchange. Version 4.1.17 packaged by Zentyal seems to have much less problems.
2. Does not surprise me. I believe that openchange is not production ready, especially not with large mailboxes. Could not get it to sync my 3,5GB mailbox reliably ever.

Regards
Martin.



Samba is updating their documentation wiki --

https://wiki.samba.org/index.php/Operating_system_requirements

On the list of Operating system requirements/Dependencies, I found I am missing 'xattr' & 'setproctitle'

The last is interesting, because I've had an error in my 'log.samba' from the first regarding 'setproctitle,' and the first in interesting, because the standard 'domain provision' utilizes 'xattr'  I'll install both libraries.

And, I will make sure I have these two installed before I try any "new" Samba AD DC configurations.

Many have had problems with OpenChange, so I'm not surprised by your observation.  I am not ready to remove my existing Samba 4.1.18 lest I go through the same problems I had installing it.

Ludovic tells me they build the ZEG after each upgrade from the repositories with no problem.  I am waiting for his response to my earlier questions.  Meanwhile, I am preparing to "build from scratch" yet again.

I want to get this right.  Thx for your response.




Archive powered by MHonArc 2.6.18.

Top of page